> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# List contract termination reasons

GET https://api.letsdeel.com/rest/contracts/termination-reasons

Retrieves the standardized list of termination reasons to present when initiating a contract termination

 **Token scopes**: `contracts:read`

Reference: https://developer.deel.com/api/reference/endpoints/contracts/list-contract-termination-reasons-v-2026-01-01

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Query parameters

- `limit` (integer, optional, default: 20) — Number of items to return per page (default: 20, max: 100)
- `cursor` (string, optional) — Cursor for pagination. Use the value from `next_cursor` in the previous response to fetch the next page.
- `order_by` (enum, optional, default: frequency) — Field to order results by
  - Allowed values: `frequency`
- `order` (enum, optional, default: asc) — Sort direction for results
  - Allowed values: `asc`, `desc`

## Response

### 200

Paginated list of termination reasons

- `data` (list of ContractsTerminationReasonsGetResponsesContentApplicationJsonSchemaDataItems, required)
- `has_more` (boolean, required) — Indicates whether there are more results available
- `next_cursor` (string, required, nullable) — Cursor to use for fetching the next page. Null if there are no more results.
- `total_count` (integer, required) — Total number of termination reasons available

## Errors

### 400 Bad Request Error

Operation failed.

- `errors` (list of ContractsTerminationReasonsGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Operation failed.

- `errors` (list of ContractsTerminationReasonsGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

## Types

### ContractsTerminationReasonsGetResponsesContentApplicationJsonSchemaDataItems

- `id` (string, required) — Unique identifier for the termination reason
- `name` (string, required) — The display text for the termination reason that can be shown to users
- `frequency` (enum, required) — How commonly this reason is used
  - Allowed values: `COMMON`, `MOST_COMMON`, `LESS_COMMON`
- `created_at` (string, required) — Timestamp when the termination reason was created
- `updated_at` (string, required) — Timestamp when the termination reason was last updated

### ContractsTerminationReasonsGetResponsesContentApplicationJsonSchemaErrorsItems

- `code` (string, optional) — Machine-readable error code
- `message` (string, optional) — Human-readable explanation of the error

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

## Examples

**Response**

```json
{
  "data": [
    {
      "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "name": "Project has ended",
      "frequency": "MOST_COMMON",
      "created_at": "2024-01-15T10:30:00Z",
      "updated_at": "2024-01-15T10:30:00Z"
    }
  ],
  "has_more": true,
  "next_cursor": "eyJmcmVxdWVuY3kiOiJNT1NUX0NPTU1PTiIsImlkIjoyfQ==",
  "total_count": 15
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/contracts/termination-reasons"

querystring = {"cursor":"eyJmcmVxdWVuY3kiOiJNT1NUX0NPTU1PTiIsImlkIjoyfQ==","limit":"20","order":"asc","order_by":"frequency"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/contracts/termination-reasons?cursor=eyJmcmVxdWVuY3kiOiJNT1NUX0NPTU1PTiIsImlkIjoyfQ%3D%3D&limit=20&order=asc&order_by=frequency';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/contracts/termination-reasons?cursor=eyJmcmVxdWVuY3kiOiJNT1NUX0NPTU1PTiIsImlkIjoyfQ%3D%3D&limit=20&order=asc&order_by=frequency"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/contracts/termination-reasons?cursor=eyJmcmVxdWVuY3kiOiJNT1NUX0NPTU1PTiIsImlkIjoyfQ%3D%3D&limit=20&order=asc&order_by=frequency")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/contracts/termination-reasons?cursor=eyJmcmVxdWVuY3kiOiJNT1NUX0NPTU1PTiIsImlkIjoyfQ%3D%3D&limit=20&order=asc&order_by=frequency")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/contracts/termination-reasons?cursor=eyJmcmVxdWVuY3kiOiJNT1NUX0NPTU1PTiIsImlkIjoyfQ%3D%3D&limit=20&order=asc&order_by=frequency', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/contracts/termination-reasons?cursor=eyJmcmVxdWVuY3kiOiJNT1NUX0NPTU1PTiIsImlkIjoyfQ%3D%3D&limit=20&order=asc&order_by=frequency");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/contracts/termination-reasons?cursor=eyJmcmVxdWVuY3kiOiJNT1NUX0NPTU1PTiIsImlkIjoyfQ%3D%3D&limit=20&order=asc&order_by=frequency")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```